
%define name    keytouch
%define version 2.0.1
%define release 1.2006mcnl
%define summary Configure extra keyboard keys
%define section System/Configuration/Hardware

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:		http://keytouch.sourceforge.net
License:        GPL
Group:          %{section}
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:	%{name}-%{version}.tar.gz
Patch0:		keytouch.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 


%description
KeyTouch is a program which allows you to easily configure the extra function
keys of your keyboard. This means that you can define, for every individual 
function key, what to do if it is pressed.
When you buy a new keyboard a CD-ROM will probably included. This CD-ROM 
contains software to configure the extra function keys (the image above shows 
an example of extra functionkeys) of your keyboard with. The problem however 
is that most of the times the software is not available for Linux.
KeyTouch is the solution to this problem. It allows you to easily configure 
the extra function keys of your keyboard.


%prep
rm -rf %{buildroot}

%setup -q -n %{name}-2.0
%patch0 -p1

%build


mkdir -p %{buildroot}/etc/init.d/
mkdir -p %{buildroot}/etc/rc.d/
 
%configure
%make
make install DESTDIR=$RPM_BUILD_ROOT
cd keytouch-config
%configure
%make
make install DESTDIR=$RPM_BUILD_ROOT

cd ../keytouch-keyboard
%configure
%make
make install DESTDIR=$RPM_BUILD_ROOT

%install



# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="keytouch" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="KeyTouch" \
longtitle="%summary"
EOF

#icons
mkdir -p %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 keytouch-keyboard/pixmaps/icon.png %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 keytouch-keyboard/pixmaps/icon.png %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 keytouch-keyboard/pixmaps/icon.png %{buildroot}/%{_miconsdir}/%{name}.png

rm %{buildroot}%{_sysconfdir}/init.d/keytouch-init.sh
mv keytouch-init/keytouch-init.sh %{buildroot}%{_sysconfdir}/init.d/
rm %{buildroot}%{_sysconfdir}/rc.d/S20keytouch-init.sh
%{__ln_s} "/etc/init.d/keytouch-init.sh" "%{buildroot}/%{_sysconfdir}/rc.d/S20keytouch-init.sh"



%post
%update_menus

chkconfig --add keytouch-init.sh

XSESSION_KEYTOUCHD_LINE="keytouchd &"; \
	XSESSION_DIR="/etc/X11/Xsession.d"; \
	if [ -d $XSESSION_DIR ]; then \
		echo "$XSESSION_KEYTOUCHD_LINE" > $XSESSION_DIR/40keytouchd; \
		chmod +x $XSESSION_DIR/40keytouchd; \
	else \
		XSESSION_FILE="/etc/X11/Xsession"; \
		if [ "`grep \"$XSESSION_KEYTOUCHD_LINE\" \"$XSESSION_FILE\" -m 1 -h`" != "$XSESSION_KEYTOUCHD_LINE" ]; then \
			XSESSION_TMP=`cat "$XSESSION_FILE"`; \
			echo "$XSESSION_KEYTOUCHD_LINE" > $XSESSION_FILE; \
			echo "$XSESSION_TMP" >> $XSESSION_FILE; \
		fi \
	fi

%preun

chkconfig --del keytouch-init.sh

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 


%files 
%defattr(-,root,root,0755) 
%doc COPYING
%_menudir/*
%_iconsdir/*
%config(noreplace) %attr(0755, root, root) %{_sysconfdir}/init.d/keytouch-init.sh
%attr(0755, root, root) %{_sysconfdir}/%name
%attr(0755, root, root) %{_sysconfdir}/rc.d/S20keytouch-init.sh
%{_bindir}/%{name}*
%{_datadir}/%{name}/plugins
%{_datadir}/%{name}/pixmaps
%attr(0755, root, root) %{_datadir}/%{name}/keyboards
%attr(0644, root, root) %{_datadir}/%{name}/keyboards/*
%{_datadir}/%{name}/doc
%{_datadir}/%{name}-keyboard-bin


%changelog 

* Wed Dec 7 2005 Marco Meijer <marco@mandrivaclub.nl> 2.0.1-1.2006mcnl
- new version

* Wed Nov 23 2005 Marco Meijer <marco@mandrivaclub.nl> 2.0.0-1.2006mcnl
- new version

* Wed Feb 16 2005 Marco Meijer <korrel@mandrakeclub.nl> 1.1.0-1.101mcnl
- new version

* Wed Dec 15 2004 Marco Meijer <korrel@mandrakeclub.nl> 1.0.0-3.101mcnl
- changed rights keytouch.sh

* Sat Dec 11 2004 Marco Meijer <korrel@mandrakeclub.nl> 1.0.0-2.101mcnl
- changed place doc files.

* Wed Dec 08 2004 Marco Meijer <korrel@mandrakeclub.nl> 1.0.0-1.101mcnl
- new version



